https://github.com/rockdaboot/libpsl/commit/fb6b75317ab669c255906fa4db256837332eb1ed

From fb6b75317ab669c255906fa4db256837332eb1ed Mon Sep 17 00:00:00 2001
From: Vincent Torri <vtorri@outlook.fr>
Date: Sat, 14 Jan 2023 17:25:31 +0100
Subject: [PATCH] add 'tests' option to disable tests and fuzzers

---
 meson.build       | 6 ++++--
 meson_options.txt | 3 +++
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/meson.build b/meson.build
index d96748d..4492354 100644
--- a/meson.build
+++ b/meson.build
@@ -132,6 +132,8 @@ endif
 subdir('include')
 subdir('src')
 subdir('tools')
-subdir('tests')
-subdir('fuzz')
+if get_option('tests')
+  subdir('tests')
+  subdir('fuzz')
+endif
 subdir(join_paths('docs', 'libpsl'))
diff --git a/meson_options.txt b/meson_options.txt
index e9d6a23..d66f256 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -17,3 +17,6 @@ option('psl_testfile', type : 'string', value : '',
 
 option('docs', type: 'boolean', value: false,
   description: 'Build the API reference (requires gtk-doc)')
+
+option('tests', type: 'boolean', value: true,
+  description: 'Build the tests and fuzzers')

